
Name:      qubes-mgmt-salt-dom0
Version:   4.1.9
Release:   1%{?dist}
Summary:   Qubes+Salt Management dom0 dependencies
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt
Requires:  qubes-mgmt-salt-dom0-qvm
Requires:  qubes-mgmt-salt-dom0-update
Requires:  qubes-mgmt-salt-dom0-virtual-machines
BuildRequires: python%{python3_pkgversion}-pyyaml
BuildRequires: tree
Conflicts:  qubes-mgmt-salt-vm

# workaround for saltstack/salt#53570
# until we have salt >= 2019.2.2 in dom0
Requires: python%{python3_pkgversion}-pip

# Prevent specific R4.0 overrides to remain
# during migration process
Obsoletes: qubes-mgmt-salt-base-overrides < 4.1.0

Source0: qubes-mgmt-salt-%{version}.tar.gz

%description
Qubes+Salt Management dom0 dependencies.

%package formulas
Summary:   All Qubes+Salt Management dom0 formulas
Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt
Requires:  qubes-mgmt-salt-dom0
Requires:  qubes-mgmt-salt-dom0-qvm
Requires:  qubes-mgmt-salt-dom0-update
Requires:  qubes-mgmt-salt-dom0-virtual-machines

%description formulas
Qubes+Salt Management dom0 formulas.

%prep
%setup -q -n qubes-mgmt-salt-%{version}

%build

%install

mkdir -p $RPM_BUILD_ROOT/etc/salt/minion.d
echo -n dom0 > $RPM_BUILD_ROOT/etc/salt/minion_id
ln -s ../minion.dom0.conf $RPM_BUILD_ROOT/etc/salt/minion.d/

%files
%defattr(-,root,root)
%config(noreplace) /etc/salt/minion_id
%config(noreplace) /etc/salt/minion.d/minion.dom0.conf

%files formulas
%defattr(-,root,root)

%changelog
* Thu Dec 03 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt.git

* Thu Dec 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 900c0ea
- version 4.1.9

* Fri Nov 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 672e1f8
- Drop unused VM packages

* Thu Nov 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f626b0a
- debian: drop dependency on qubes-mgmt-salt-vm-python-pip

* Thu Nov 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 40fbe93
- gitlab-ci: exclude install dom0 packages in vm

* Tue Nov 24 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 0c6cc81
- Invoke qubes.SaltLinuxVM as root

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a546334
- Add .gitlab-ci.yml

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a62563
- version 4.1.8

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c2dec9
- Do not open-code EOF marker twice

* Sat Nov 07 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - be9002e
- Support newer Salt versions

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5759d1
- version 4.1.7

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3372067
- rpm: add specific version dependency for qubes-core-dom0

* Sun May 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f631a9d
- Modify qubesctl to use the new policy format

* Fri Apr 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 610ddaa
- version 4.1.6

* Thu Apr 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5058aa2
- travis: import from qubes-continuous-integration

* Sat Mar 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a8b5b6
- version 4.1.5

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b4dcfc4
- spec: pyyaml is case sensitive in CentOS

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e49ab3a
- spec: don't hardcode 'python3' prefix

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 58d113f
- travis: add CentOS 7 build

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 39cf88d
- version 4.1.4

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f2ab14
- Log when considering empty output a failure

* Tue Mar 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ffef29
- Make qubes-mgmt-salt-base-overrides obsolete for R4.1

* Sun Mar 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cd7bf10
- Report empty output as a failure

* Sun Mar 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b69d307
- qubesctl: handle StandaloneVMs targets

* Sun Mar 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f20c610
- qubesctl: make PEP8 happy

* Fri Jan 24 2020 Johanna Abrahamsson <johanna@assured.se> - e75e528
- Switch PyYAML dependency to python3-pyyaml

* Sun Jan 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a092e67
- version 4.1.3

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e18918
- Add workaround for salt bug

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f6a9e6
- travis: switch dom0 to fc31, update VM versions

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 201896f
- Switch to Python 3

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1424704
- Remove unused import

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11660a4
- Filter out control characters in log too

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 967e49b
- travis: switch to bionic

* Sun Aug 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2153725
- version 4.1.2

* Sat Jul 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ca06f94
- Do not fail if 'salt' user does not exist in disp-mgmt-* VM

* Sat Jul 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2d0664
- Make top.jinja compatible with python3

* Sat Jun 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c486194
- version 4.1.1

* Fri Apr 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d794aab
- Really make ssh-wrapper a python3 script

* Sat Apr 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7571a38
- travis: update for R4.1

* Sat Apr 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df75f57
- Make ssh-wrapper python3 script

* Sat Apr 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5bf156
- Make qubesctl explicit python2

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47a95a5
- version 4.1.0

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d353b38
- Fix jinja-based top file merging

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 000d770
- Fix startup_states minion option

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 066e97c
- Explicitly load pillar tops

* Wed Mar 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4bde425
- version 4.0.16

* Sun Mar 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 29ff31b
- Wipe salt temporary files after applying state in a VM

* Fri Mar 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c1f8d4
- Regenerate source tarball after copying in relevant files

* Fri Feb 15 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c3f2cfb
- version 4.0.15

* Mon Jan 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdf926c
- qubesctl: improve error reporting

* Wed Jan 02 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7f6517e
- Handle non existing qubessaltpatches in case where mgmt-salt-base-overrides is not needed anymore

